---
title: Schedule Load Token
slug: schedule-load-token
createdAt: 2023-09-22T04:41:57.775Z
---

:::ApiMethodV2
```json
{
  "name": "Schedule Load",
  "method": "POST",
  "url": "https://secure.paydocker.com/{version}/token/{partnerid}/{randomkey}/schedule",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "_5B5CgJT4GsueJdoHnw99",
        "language": "json",
        "code": "{\n    \"share_secret\":\"string\",\n    \"token_event\": \"schedule\",\n    \"source_id\": \"string\",\n    \"token_id\": \"string\",\n    \"schedule_date\": \"string\",\n    \"load_amount\": \"string\",\n    \"check_in\": \"string\",\n    \"check_out\": \"string\",\n    \"room_count\": \"number\"\n}\n",
        "customLabel": ""
      },
      {
        "id": "TZQ1foyie44Pe87-1CCXr",
        "language": "curl",
        "code": "curl --location -g --request POST 'https://secure.paydocker.com/{version}/token/{partnerid}/{randomkey}/schedule' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data-raw '{\"share_secret\":\"string\",\"token_event\":\"string\",\"source_id\":\"string\",\"token_id\":\"string\",\"schedule_date\":\"string\",\"load_amount\":\"string\"}'",
        "customLabel": ""
      },
      {
        "id": "jFNfhyk80P6g-zibTv0Wq",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://secure.paydocker.com/{version}/token/{partnerid}/{randomkey}/schedule',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"share_secret\": \"string\",\n      \"token_event\": \"string\",\n      \"source_id\": \"string\",\n      \"token_id\": \"string\",\n      \"schedule_date\": \"string\",\n      \"load_amount\": \"string\"\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "1fXK4f-EA1fPPugznhh-u",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"share_secret\": \"string\",\n   \"token_event\": \"string\",\n   \"source_id\": \"string\",\n   \"token_id\": \"string\",\n   \"schedule_date\": \"string\",\n   \"load_amount\": \"string\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://secure.paydocker.com/{version}/token/{partnerid}/{randomkey}/schedule\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "W2fcxSRCfz0iPYGPd6F5q",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://secure.paydocker.com/{version}/token/{partnerid}/{randomkey}/schedule\"\n\npayload = json.dumps({\n   \"share_secret\": \"string\",\n   \"token_event\": \"string\",\n   \"source_id\": \"string\",\n   \"token_id\": \"string\",\n   \"schedule_date\": \"string\",\n   \"load_amount\": \"string\"\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "W9Zzveze8_SmFosmKNbag",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://secure.paydocker.com/{version}/token/{partnerid}/{randomkey}/schedule\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"share_secret\": \"string\",\n   \"token_event\": \"string\",\n   \"source_id\": \"string\",\n   \"token_id\": \"string\",\n   \"schedule_date\": \"string\",\n   \"load_amount\": \"string\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "_5B5CgJT4GsueJdoHnw99"
  },
  "results": {
    "languages": [
      {
        "id": "SB4GKpmBkXSgTn2WHkUXI",
        "language": "200",
        "customLabel": "",
        "code": "{\n   \"success\": true,\n   \"message\": \"Load Schedule Success\",\n   \"token_id\": \"34322345677898765\",\n   \"transaction_id\": \"34322345677898765\"\n}"
      },
      {
        "id": "o-fyLruWgSQx-NXmcFyyr",
        "language": "405",
        "customLabel": "",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"405\",\n    \"message\": \"Method Not Allowed\"\n  }\n}\n"
      },
      {
        "id": "c4Yjxl7wzYJpBx0H7DAkO",
        "language": "428",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"428\",\n    \"message\": \"Token ID doesn't match\"\n  }\n}",
        "customLabel": ""
      },
      {
        "id": "ZoeM0OTPFww-yK8m9V9Jr",
        "language": "429",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"429\",\n    \"message\": \"Token ID already deleted\"\n  }\n}",
        "customLabel": ""
      },
      {
        "id": "uE3loeVh8GXFgfHOAkkJW",
        "language": "403",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"403\",\n    \"message\": \"IP Not Allowed\"\n  }\n}",
        "customLabel": ""
      },
      {
        "id": "H1o6QZYpcc-2aeTzqz5AX",
        "language": "406",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"406\",\n    \"message\": \"Enpoint Bad Format\"\n  }\n}",
        "customLabel": ""
      },
      {
        "id": "wMmmXGbCfNLe5HT-rLypu",
        "language": "408",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"408\",\n    \"message\": \"Endpoint Suspended\"\n  }\n}",
        "customLabel": ""
      },
      {
        "id": "C6U_HfXxeQB19PqavlHcc",
        "language": "409",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"409\",\n    \"message\": \"Event Not Allowed\"\n  }\n}",
        "customLabel": ""
      },
      {
        "id": "JSbpzWPoYNUPPQls2bUgP",
        "language": "410",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"410\",\n    \"message\": \"Invalid Secret Key\"\n  }\n}",
        "customLabel": ""
      },
      {
        "id": "OOJClmuA5DyNwwJ1vBV32",
        "language": "415",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"415\",\n    \"message\": \"Invalid Load Amount\"\n  }\n}",
        "customLabel": ""
      },
      {
        "id": "YoDUV4RxyPW3va086pnlt",
        "language": "500",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"500\",\n    \"message\": \"Internal Server Error\"\n  }\n}",
        "customLabel": ""
      },
      {
        "id": "U8-gxqKouOHcmaeBqYHwd",
        "language": "502",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"502\",\n    \"message\": \"Bad Gateway\"\n  }\n}",
        "customLabel": ""
      },
      {
        "id": "hN26ylAKVShdZtFKz5JWa",
        "language": "503",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"503\",\n    \"message\": \"Service Unavailable\"\n  }\n}",
        "customLabel": ""
      },
      {
        "id": "jTJGSWvLvp2EMrdyDghyh",
        "language": "504",
        "code": "{\n  \"success\": \"false\",\n  \"errors\": {\n    \"code\": \"504\",\n    \"message\": \"Gateway Timeout\"\n  }\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "jTJGSWvLvp2EMrdyDghyh"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "share_secret",
        "kind": "required",
        "type": "string",
        "description": "Test mode secret keys and live mode secret keys are available in your PayDocker account under Integration menu.\n\nDon't share your secret API keys in publicly accessible areas such as GitHub, client-side code, and so forth.",
        "children": []
      },
      {
        "name": "token_event",
        "kind": "required",
        "type": "string",
        "description": "Used to identify the action connected to the token and the allowed action for this request would be \"schedule\".",
        "children": []
      },
      {
        "name": "source_id",
        "kind": "required",
        "type": "string",
        "description": "Your PayDocker Account ID assigned upon account creation (e.g. PDR1). It is case sensitive.",
        "children": []
      },
      {
        "name": "token_id",
        "kind": "required",
        "type": "string",
        "description": "The unique identifier associated with the token that the user is requesting a modification for. (e.g. 2908926013012565)",
        "children": []
      },
      {
        "name": "schedule_date",
        "kind": "required",
        "type": "string",
        "description": "The date on which the predetermined amount will appear on the token.\n\nThe format is DD-MM-YYYY, e.g. 25-12-2023\n\nSelectable date range is from the day after the token creation day, to the day before the expiry date.\n\nE.g. Token creation day - 18 Oct 2023, Token Expiry Date - 29 Nov 2023. Therefore, schedule date can be set between 19 Oct 2023 to 28 Nov 2023.",
        "children": []
      },
      {
        "name": "load_amount",
        "kind": "required",
        "type": "string",
        "description": "The sum added by the partner to the token, which the recipient can then collect. \n\nThe amount value supports up to twelwe digits (e.g. a value of 9,999,999,999.99) divided by decimal.",
        "children": []
      },
      {
        "name": "check_in",
        "kind": "required",
        "type": "string",
        "description": "The format is YYYY-MM-DD, e.g. 2023-12-21 \n\nSelectable date range up to 2 years before token creation day to up to 2 years  in the future. ",
        "children": []
      },
      {
        "name": "check_out",
        "kind": "required",
        "type": "string",
        "description": "The format is YYYY-MM-DD, e.g. 2023-12-21\n\nSelectable date range is same or greater than check-in date, up to 90 days in the future.\n",
        "children": []
      },
      {
        "name": "room_count",
        "kind": "required",
        "type": "string",
        "description": "Accepted value from 1 to 999",
        "children": []
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

